Appearance
Update a connection ​
http
PATCH https://api.onehazel.com/onehazel-api/connections/{connectionId}Fields in config are merged into the stored configuration. List keys to remove in config_delete. Changing auth_method together with new config replaces the configuration.
Section: Connections
Operation id: patchConnectionsByConnectionId
Authentication ​
Operator API key (oh_live_...) or a signed-in session token, as a bearer token.
Parameters ​
| Name | In | Required | Description |
|---|---|---|---|
connectionId | path | yes |
Request body ​
JSON object.
Responses ​
200 { "success": true, "data": ... }
Errors return { "success": false, "error": { "code": "...", "message": "..." } } with a 4xx or 5xx status.
Example ​
bash
curl -X PATCH "https://api.onehazel.com/onehazel-api/connections/{connectionId}" \
-H "Authorization: Bearer oh_live_YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{}'Machine-readable: openapi.yaml, openapi.json.